Bug 179405 - improved version of grub-md5-crypt
Summary: improved version of grub-md5-crypt
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: grub   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-31 00:34 UTC by Richard Keech
Modified: 2013-07-03 13:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 18:03:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
improved version of the grub-md5-crypt script (2.39 KB, text/plain)
2006-01-31 00:34 UTC, Richard Keech
no flags Details

Description Richard Keech 2006-01-31 00:34:50 UTC
Description of problem:

The grub-md5-crypt only works interactively.  It would be useful for it
to work in the manner of "passwd --stdin".

Version-Release number of selected component (if applicable):

0.95-3.5

I have attached an improved version of grub-md5-crypt which retains current
functionality but lets you do this sort of thing:

# echo sjfsjf|./grub-md5-crypt --stdin
$1$ViqCH1$3raNBTkMgwE3WWt/PyE6X.

Comment 1 Richard Keech 2006-01-31 00:34:50 UTC
Created attachment 123893 [details]
improved version of the grub-md5-crypt script


Note You need to log in before you can comment on or make changes to this bug.